<?php
/**
 * Get current theme options
 * 
 * @return array
 */
function aletheme_get_options() {
	$comments_style = array(
		'wp'  => 'Alethemes Comments',
		'fb'  => 'Facebook Comments',
		'dq'  => 'DISQUS',
		'lf'  => 'Livefyre',
		'off' => 'Disable All Comments',
	);

    $scheme = array(
        'scheme0'  => 'Default',
        'scheme1'  => 'Scheme 1',
        'scheme2'  => 'Scheme 2',
        'scheme3'  => 'Scheme 3',
        'scheme4'  => 'Scheme 4',
        'scheme5'  => 'Scheme 5',
    );

    $boxedtype = array(
        'wide'  => 'Wide',
        'boxed'  => 'Boxed',
    );

    $header_type = array(
        'header1'  => 'Header 1',
        'header2'  => 'Header 2',
    );

    $footer_type = array(
        'footer1'  => 'Footer 1',
        'footer2'  => 'Footer 2',
    );

    $headerfont = array_merge(ale_get_safe_webfonts(), ale_get_google_webfonts());

    $background_defaults = array(
        'color' => '',
        'image' => '',
        'repeat' => 'repeat',
        'position' => 'top center',
        'attachment'=>'scroll'
    );

	
	$imagepath =  ALETHEME_URL . '/assets/images/';
	
	$options = array();
		
	$options[] = array("name" => "Theme",
						"type" => "heading");

    $options[] = array( "name" => "Site Logo",
                        "desc" => "Upload or put the site logo link (Default logo size: 432px-62px)",
                        "id" => "ale_sitelogo",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Mobile Site Logo",
                        "desc" => "Upload or put the mobile site logo link (Default logo size: 200px-29px)",
                        "id" => "ale_mobsitelogo",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Loading Animation Logo",
                        "desc" => "Upload or put the animation logo link (Max size: 200-200px).Use a gif animation or a static image",
                        "id" => "ale_animationsitelogo",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Color Scheme",
                        "desc" => "Select a color scheme",
                        "id" => "ale_colscheme",
                        "std" => "scheme0",
                        "type" => "select",
                        "options" => $scheme);

    $options[] = array( "name" => "Site Width Type",
                        "desc" => "Select the width type",
                        "id" => "ale_boxedtype",
                        "std" => "wide",
                        "type" => "select",
                        "options" => $boxedtype);

    $options[] = array( 'name' => "Manage Background",
                        'desc' => "Select the background color, or upload a custom background image. Default background is the #ffffff color",
                        'id' => 'ale_background',
                        'std' => $background_defaults,
                        'type' => 'background');


    $options[] = array( "name" => "Uplaod a favicon icon",
                        "desc" => "Upload or put the link of your favicon icon",
                        "id" => "ale_favicon",
                        "std" => "",
                        "type" => "upload");

	$options[] = array( "name" => "Comments Style",
						"desc" => "Choose your comments style. If you want to use DISQUS comments please install and activate this plugin from <a href=\"" . admin_url('plugin-install.php?tab=search&type=term&s=Disqus+Comment+System&plugin-search-input=Search+Plugins') . "\">Wordpress Repository</a>.  If you want to use Livefyre Realtime Comments comments please install and activate this plugin from <a href=\"" . admin_url('plugin-install.php?tab=search&type=term&s=Livefyre+Realtime+Comments&plugin-search-input=Search+Plugins') . "\">Wordpress Repository</a>.",
						"id" => "ale_comments_style",
						"std" => "wp",
						"type" => "select",
						"options" => $comments_style);

	$options[] = array( "name" => "AJAX Comments",
						"desc" => "Use AJAX on comments posting (works only with Alethemes Comments selected).",
						"id" => "ale_ajax_comments",
						"std" => "1",
						"type" => "checkbox");

	$options[] = array( "name" => "Social Sharing",
						"desc" => "Enable social sharing for posts.",
						"id" => "ale_social_sharing",
						"std" => "1",
						"type" => "checkbox");

    $options[] = array( "name" => "Copyrights",
                        "desc" => "Your copyright message.",
                        "id" => "ale_copyrights",
                        "std" => "",
                        "type" => "editor");

    $options[] = array( "name" => "Typography",
                        "type" => "heading");

    $options[] = array( "name" => "Select the First Font from Google Library",
                        "desc" => "The default Font is - Open Sans",
                        "id" => "ale_headerfont",
                        "std" => "Open+Sans",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the First Font (Extended) from Google Library",
                        "desc" => "The default Font (extended) is - empty",
                        "id" => "ale_headerfontex",
                        "std" => "",
                        "type" => "text",
                        );

    $options[] = array( "name" => "Select the Second Font from Google Library",
                        "desc" => "The default Font is - PT Sans",
                        "id" => "ale_mainfont",
                        "std" => "PT+Sans",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the Second Font (Extended) from Google Library",
                        "desc" => "The default Font (extended) is - :700",
                        "id" => "ale_mainfontex",
                        "std" => ":700",
                        "type" => "text",
                        );

    $options[] = array( "name" => "Select the Third Font from Google Library",
                        "desc" => "The Third Font is - Arial",
                        "id" => "ale_thirdfont",
                        "std" => "Arial",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the Third Font (Extended) from Google Library",
                        "desc" => "The Third Font (extended) is - empty",
                        "id" => "ale_thirdfontex",
                        "std" => "",
                        "type" => "text",
                        );

    $options[] = array( 'name' => "H1 Style",
                        'desc' => "Change the h1 style",
                        'id' => 'ale_h1sty',
                        'std' => array('size' => '18px','face' => 'Arial','style' => 'normal','color' => '#353535'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H2 Style",
                        'desc' => "Change the h2 style",
                        'id' => 'ale_h2sty',
                        'std' => array('size' => '16px','face' => 'Arial','style' => 'normal','color' => '#353535'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H3 Style",
                        'desc' => "Change the h3 style",
                        'id' => 'ale_h3sty',
                        'std' => array('size' => '14px','face' => 'Arial','style' => 'normal','color' => '#353535'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H4 Style",
                        'desc' => "Change the h4 style",
                        'id' => 'ale_h4sty',
                        'std' => array('size' => '12px','face' => 'Arial','style' => 'normal','color' => '#353535'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H5 Style",
                        'desc' => "Change the h5 style",
                        'id' => 'ale_h5sty',
                        'std' => array('size' => '10px','face' => 'Arial','style' => 'normal','color' => '#353535'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H6 Style",
                        'desc' => "Change the h6 style",
                        'id' => 'ale_h6sty',
                        'std' => array('size' => '9px','face' => 'Arial','style' => 'normal','color' => '#353535'),
                        'type' => 'typography');

    $options[] = array( 'name' => "Body Style",
                        'desc' => "Change the body font style",
                        'id' => 'ale_bodystyle',
                        'std' => array('size' => '15px','face' => 'Arial','style' => 'normal','color' => '#a3a3a3'),
                        'type' => 'typography');

	$options[] = array( "name" => "Social",
						"type" => "heading");

    $options[] = array( "name" => "Facebook Profile URL",
                        "desc" => "Your profile url",
                        "id" => "ale_fb",
                        "std" => "",
                        "type" => "text");

    $options[] = array( "name" => "Twitter Profile URL",
                        "desc" => "Your profile url",
                        "id" => "ale_twi",
                        "std" => "",
                        "type" => "text");

    $options[] = array( "name" => "Pinterest Profile URL",
                        "desc" => "Your profile url",
                        "id" => "ale_pin",
                        "std" => "",
                        "type" => "text");

    $options[] = array( "name" => "Youtube Profile URL",
                        "desc" => "Your profile url",
                        "id" => "ale_yt",
                        "std" => "",
                        "type" => "text");

    $options[] = array( "name" => "Linkedin Profile URL",
                        "desc" => "Your profile url",
                        "id" => "ale_lin",
                        "std" => "",
                        "type" => "text");

    $options[] = array( "name" => "Flickr Profile URL",
                        "desc" => "Your profile url",
                        "id" => "ale_flickr",
                        "std" => "",
                        "type" => "text");

    $options[] = array( "name" => "Google+ Profile URL",
                        "desc" => "Your profile url",
                        "id" => "ale_gog",
                        "std" => "",
                        "type" => "text");

    $options[] = array( "name" => "Instagram Profile URL",
                        "desc" => "Your profile url",
                        "id" => "ale_insta",
                        "std" => "",
                        "type" => "text");
	
	$options[] = array( "name" => "Facebook Application ID",
						"desc" => "If you have Application ID you can connect the blog to your Facebook Profile and monitor statistics there.",
						"id" => "ale_fb_id",
						"std" => "",
						"type" => "text");
	
	$options[] = array( "name" => "Enable Open Graph",
						"desc" => "The <a href=\"http://www.ogp.me/\">Open Graph</a> protocol enables any web page to become a rich object in a social graph.",
						"id" => "ale_og_enabled",
						"std" => "",
						"type" => "checkbox");

	$options[] = array( "name" => "Advanced Settings",
						"type" => "heading");
	
	$options[] = array( "name" => "Google Analytics",
						"desc" => "Please insert your Google Analytics code here. Example: <strong>UA-22231623-1</strong>",
						"id" => "ale_ga",
						"std" => "",
						"type" => "text");
	
	$options[] = array( "name" => "Footer Code",
						"desc" => "If you have anything else to add in the footer - please add it here.",
						"id" => "ale_footer_info",
						"std" => "",
						"type" => "textarea");

    $options[] = array( "name" => "Custom CSS Styles",
                        "desc" => "You can add here your styles. ex. .boxclass { padding:10px; }",
                        "id" => "ale_customcsscode",
                        "std" => "",
                        "type" => "textarea");

    $options[] = array( "name" => "Enable or Disable the Skin Selector Box",
                        "desc" => "Check if you want to show the Skin Selector Box",
                        "id" => "ale_skinselector",
                        "std" => "0",
                        "type" => "checkbox");

    $options[] = array( "name" => "Sidebars",
                        "type" => "heading");

    $options[] = array( "name" => "Header Type",
                        "desc" => "Select the header type. And add data in the fields below.",
                        "id" => "ale_header_type",
                        "std" => "header1",
                        "type" => "select",
                        "options" => $header_type);

    $options[] = array( "name" => "Header 1 Background",
                        "desc" => "Upload or put the image link (Default background size: 1920px-712px)",
                        "id" => "ale_header1bg",
                        "std" => get_template_directory_uri()."/css/images/top-background.jpg",
                        "type" => "upload");

    $options[] = array( "name" => "Header 1 slider slug",
                        "desc" => "Insert the slider slug. Get the slug on Sliders Section",
                        "id" => "ale_header1slug",
                        "std" => "",
                        "type" => "text");



    $options[] = array( "name" => "Footer Type",
                        "desc" => "Select the footer type. And add data in the fields below.",
                        "id" => "ale_footer_type",
                        "std" => "footer1",
                        "type" => "select",
                        "options" => $footer_type);
	
	return $options;
}

/**
 * Add custom scripts to Options Page
 */
function aletheme_options_custom_scripts() {
 ?>

<script type="text/javascript">
jQuery(document).ready(function() {
    jQuery('#ale_commentongallery').click(function() {
        jQuery('#section-ale_gallerycomments_style').fadeToggle(400);
    });
    if (jQuery('#ale_commentongallery:checked').val() !== undefined) {
        jQuery('#section-ale_gallerycomments_style').show();
    }
});
</script>

<?php
}

/**
 * Add Metaboxes
 * @param array $meta_boxes
 * @return array 
 */
function aletheme_metaboxes($meta_boxes) {
	
	$meta_boxes = array();

    $prefix = "ale_";


    $meta_boxes[] = array(
        'id'         => 'pagebg_metabox',
        'title'      => 'Custom Background',
        'pages'      => array( 'page', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => 'Custom Background',
                'desc' => 'Upload your custom background or leave this field blank to show the main site background from Theme Options',
                'id'   => $prefix . 'custombg',
                'type'    => 'file',
            ),
            array(
                'name' => 'Custom CSS',
                'desc' => 'Add custom CSS to this page',
                'id'   => $prefix . 'custompagecss',
                'std' => '',
                'type'    => 'textarea_code',
            ),
        )
    );

    $meta_boxes[] = array(
        'id'         => 'team_metabox',
        'title'      => 'Team Options',
        'pages'      => array( 'team', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => 'Team member Photo',
                'desc' => 'Upload the photo. Necessary size is - 176px-189px',
                'id'   => $prefix . 'teamphoto',
                'type'    => 'file',
            ),
            array(
                'name' => 'Team member Prof.',
                'desc' => 'Insert the prof.',
                'id'   => $prefix . 'teamprof',
                'type'    => 'text',
            ),
            array(
                'name' => 'Twitter Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'twilink',
                'type'    => 'text',
            ),
            array(
                'name' => 'Facebook Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'fblink',
                'type'    => 'text',
            ),
            array(
                'name' => 'Google+ Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'goglink',
                'type'    => 'text',
            ),
            array(
                'name' => 'Instagram Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'instalink',
                'type'    => 'text',
            ),
            array(
                'name' => 'Personal Email',
                'desc' => 'Insert the email',
                'id'   => $prefix . 'presonalemail',
                'type'    => 'text',
            ),
        )
    );

    $meta_boxes[] = array(
        'id'         => 'testimonial_metabox',
        'title'      => 'Testimonial Options',
        'pages'      => array( 'testimonials', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => 'Testimonial Avatar',
                'desc' => 'Upload the photo. Necessary size is - 56px-56px',
                'id'   => $prefix . 'testimonialphoto',
                'type'    => 'file',
            ),
            array(
                'name' => 'Testimonial Short Description',
                'desc' => 'Insert the short description',
                'id'   => $prefix . 'testimonialshort',
                'type'    => 'textarea_code',
            ),

        )
    );


    $meta_boxes[] = array(
        'id'         => 'home_metabox',
        'title'      => 'Home Page Options',
        'pages'      => array( 'page', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'show_on'    => array( 'key' => 'page-template', 'value' => array('page-home.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'Display or Hide Boxes on Home',
                'desc' => 'Select Enable or disable block on Home Page',
                'id'   => $prefix . 'descr0',
                'type' => 'title',
            ),
            array(
                'name' => 'About Us Box?',
                'desc' => 'Select enable to show the About Us box',
                'id'   => $prefix . 'aboutonhome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Last Tweet Box?',
                'desc' => 'Select enable to show the Last Tweet box',
                'id'   => $prefix . 'tweetonhome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Recent Blog Box?',
                'desc' => 'Select enable to show the Recent Blog box',
                'id'   => $prefix . 'recentblogonhome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Subscribe Box?',
                'desc' => 'Select enable to show the Subscribe box',
                'id'   => $prefix . 'subscribeonhome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Team Box?',
                'desc' => 'Select enable to show the Team box',
                'id'   => $prefix . 'teamonhome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Testimonials Box?',
                'desc' => 'Select enable to show the Testimonials box',
                'id'   => $prefix . 'testimonialsonhome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Recent Gallery Box?',
                'desc' => 'Select enable to show the Recent Gallery box',
                'id'   => $prefix . 'galleryonhome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Skills Box?',
                'desc' => 'Select enable to show the Skills box',
                'id'   => $prefix . 'skillsonhome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Clients Box?',
                'desc' => 'Select enable to show the Clients box',
                'id'   => $prefix . 'clientsonhome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Contact Box?',
                'desc' => 'Select enable to show the Contact box',
                'id'   => $prefix . 'contactonhome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'About Us Section',
                'desc' => 'Insert the data for About Us Section on Home page',
                'id'   => $prefix . 'descr1',
                'type' => 'title',
            ),
            array(
                'name' => 'About Us Box title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'aboutustit',
                'std'  => 'About Us',
                'type' => 'text',
            ),
            array(
                'name' => 'About Us Box description',
                'desc' => 'Insert the description',
                'id'   => $prefix . 'aboutusdesc',
                'type' => 'textarea_code',
            ),
            array(
                'name' => 'About icon 1',
                'desc' => 'Insert or upload the icon. Default size - 32px-32px',
                'id'   => $prefix . 'aboutic1',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'About icon 2',
                'desc' => 'Insert or upload the icon. Default size - 32px-32px',
                'id'   => $prefix . 'aboutic2',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'About icon 3',
                'desc' => 'Insert or upload the icon. Default size - 32px-32px',
                'id'   => $prefix . 'aboutic3',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'About title 1',
                'desc' => 'Insert the title. ',
                'id'   => $prefix . 'abouttit1',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Abut title 2',
                'desc' => 'Insert the title. ',
                'id'   => $prefix . 'abouttit2',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'About title 3',
                'desc' => 'Insert the title. ',
                'id'   => $prefix . 'abouttit3',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'About link 1',
                'desc' => 'Insert the link. ',
                'id'   => $prefix . 'aboutlink1',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Abut link 2',
                'desc' => 'Insert the link. ',
                'id'   => $prefix . 'aboutlink2',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'About link 3',
                'desc' => 'Insert the link. ',
                'id'   => $prefix . 'aboutlink3',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'About Description 1',
                'desc' => 'Insert the description. ',
                'id'   => $prefix . 'aboutdesc1',
                'std'  => '',
                'type' => 'textarea_code',
            ),
            array(
                'name' => 'About Description 2',
                'desc' => 'Insert the description. ',
                'id'   => $prefix . 'aboutdesc2',
                'std'  => '',
                'type' => 'textarea_code',
            ),
            array(
                'name' => 'About Description 3',
                'desc' => 'Insert the description. ',
                'id'   => $prefix . 'aboutdesc3',
                'std'  => '',
                'type' => 'textarea_code',
            ),


            array(
                'name' => 'Recent Tweets Section',
                'desc' => 'Insert the data for Recent Tweets Section on Home page',
                'id'   => $prefix . 'descr2',
                'type' => 'title',
            ),
            array(
                'name' => 'Box background',
                'desc' => 'Insert or upload the background. Recommended size - 1920-1440px',
                'id'   => $prefix . 'tweetbg',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Twitter Login',
                'desc' => 'Insert the login. ',
                'id'   => $prefix . 'tweetlogin',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Consumer key',
                'desc' => 'Insert the consumer key. Get here (sign with your account) - https://dev.twitter.com/apps/',
                'id'   => $prefix . 'consumerkey',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Consumer secret',
                'desc' => 'Insert the consumer secret. Get here (sign with your account) - https://dev.twitter.com/apps/',
                'id'   => $prefix . 'consumersecret',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Access token',
                'desc' => 'Insert the access token. Get here (sign with your account) - https://dev.twitter.com/apps/',
                'id'   => $prefix . 'accesstoken',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Access token secret',
                'desc' => 'Insert the access token secret. Get here (sign with your account) - https://dev.twitter.com/apps/',
                'id'   => $prefix . 'accesstokensecret',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Cache time',
                'desc' => 'Insert the number (in hours)',
                'id'   => $prefix . 'cachetime',
                'std'  => '3',
                'type' => 'text',
            ),
            array(
                'name' => 'Tweets Count',
                'desc' => 'Insert the count',
                'id'   => $prefix . 'tweetstoshow',
                'std'  => '2',
                'type' => 'text',
            ),

            array(
                'name' => 'Recent Blog Section',
                'desc' => 'Insert the data for Recent Blog Section on Home page',
                'id'   => $prefix . 'descrblog',
                'type' => 'title',
            ),

            array(
                'name' => 'The Blog Box Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'bloghometitle',
                'std'  => 'The Blog',
                'type' => 'text',
            ),

            array(
                'name' => 'Insert the count',
                'desc' => 'Insert how many items do you want to show on Home page. (Will get last items). Insert "-1" to show all items',
                'id'   => $prefix . 'blogperpage',
                'std'  => '16',
                'type' => 'text',
            ),

            array(
                'name' => 'Subscribe Section',
                'desc' => 'Insert the data for Subscribe Section on Home page.<br><br>You must to install the <strong>MailChimp for WordPress</strong> plugin. And Change some needed options as:<br><br><strong>Load styles or theme?</strong> - Select <strong>NO</strong><br><strong>Form mark-up</strong> - Add the code:<br><i> &lt;input  type="email" id="mc4wp_email" name="EMAIL" required placeholder="E-mail" class="text" &gt;&lt;input type="submit" name="submit" value="Subscribe" class="subscribe"&gt;</i>',
                'id'   => $prefix . 'descr3',
                'type' => 'title',
            ),
            array(
                'name' => 'The plugin is installed?',
                'desc' => 'Select "YES" if the plugin is installed with needed attributes',
                'id'   => $prefix . 'subsribeinstall',
                'std'  => 'no',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'No', 'value' => 'no', ),
                    array( 'name' => 'Yes', 'value' => 'yes', ),
                ),
            ),
            array(
                'name' => 'Subscribe Background',
                'desc' => 'Insert or upload the photo. Recommended size - 1920-1522px',
                'id'   => $prefix . 'subscribebg',
                'std'  => '',
                'type' => 'file',
            ),


            array(
                'name' => 'Our Team Section',
                'desc' => 'Insert the data for Our Team Section on Home page',
                'id'   => $prefix . 'descr4',
                'type' => 'title',
            ),
            array(
                'name' => 'Insert the count',
                'desc' => 'Insert how many items do you want to show on Home page. (Will get last items). Insert "-1" to show all items',
                'id'   => $prefix . 'teamitems',
                'std'  => '8',
                'type' => 'text',
            ),


            array(
                'name' => 'Testimonials Section',
                'desc' => 'Insert the data for Testimonias Section on Home page',
                'id'   => $prefix . 'descr5',
                'type' => 'title',
            ),
            array(
                'name' => 'Testimonials Box title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'testimonialtit',
                'std'  => 'Testimonials',
                'type' => 'text',
            ),
            array(
                'name' => 'Testimonials to show',
                'desc' => 'Insert how many items do you want to show on Home page. (Will get last items). Insert "-1" to show all items',
                'id'   => $prefix . 'testimonialitems',
                'std'  => '6',
                'type' => 'text',
            ),
            array(
                'name' => 'Testimonial Box Background',
                'desc' => 'Insert or upload the photo. Recommended size - 1920-1200px',
                'id'   => $prefix . 'testimonialbg',
                'std'  => '',
                'type' => 'file',
            ),

            array(
                'name' => 'Recent Gallery Section',
                'desc' => 'Insert the data for Gallery Section on Home page',
                'id'   => $prefix . 'descrgallery',
                'type' => 'title',
            ),
            array(
                'name' => 'Recent Gallery Box Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'galtit',
                'std'  => 'Gallery',
                'type' => 'text',
            ),
            array(
                'name' => 'Gallery Items to show',
                'desc' => 'Insert how many items do you want to show on Home page. (Will get last items). Insert "-1" to show all items',
                'id'   => $prefix . 'galleryitems',
                'std'  => '16',
                'type' => 'text',
            ),

            array(
                'name' => 'Skills Section',
                'desc' => 'Insert the data for Skills Section on Home page',
                'id'   => $prefix . 'descrskills',
                'type' => 'title',
            ),
            array(
                'name' => 'Skills Box Background Image',
                'desc' => 'Insert the image. Recommended Size - 1920-1415px',
                'id'   => $prefix . 'skillsbg',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Skills Box Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'skillstit',
                'std'  => 'Our Skills',
                'type' => 'text',
            ),

            array(
                'name' => 'Skills Item #1 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'skillstit1',
                'std'  => 'Photography',
                'type' => 'text',
            ),
            array(
                'name' => 'Skills Item #1 Count',
                'desc' => 'Insert the count in %, ex: 90',
                'id'   => $prefix . 'skillscount1',
                'std'  => '25',
                'type' => 'text',
            ),
            array(
                'name' => 'Skills Item #2 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'skillstit2',
                'std'  => 'Biology',
                'type' => 'text',
            ),
            array(
                'name' => 'Skills Item #2 Count',
                'desc' => 'Insert the count in %, ex: 90',
                'id'   => $prefix . 'skillscount2',
                'std'  => '55',
                'type' => 'text',
            ),
            array(
                'name' => 'Skills Item #3 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'skillstit3',
                'std'  => 'Geography',
                'type' => 'text',
            ),
            array(
                'name' => 'Skills Item #3 Count',
                'desc' => 'Insert the count in %, ex: 90',
                'id'   => $prefix . 'skillscount3',
                'std'  => '70',
                'type' => 'text',
            ),
            array(
                'name' => 'Skills Item #4 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'skillstit4',
                'std'  => 'Web Design',
                'type' => 'text',
            ),
            array(
                'name' => 'Skills Item #4 Count',
                'desc' => 'Insert the count in %, ex: 90',
                'id'   => $prefix . 'skillscount4',
                'std'  => '55',
                'type' => 'text',
            ),
            array(
                'name' => 'Skills Item #5 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'skillstit5',
                'std'  => 'Mathematics',
                'type' => 'text',
            ),
            array(
                'name' => 'Skills Item #5 Count',
                'desc' => 'Insert the count in %, ex: 90',
                'id'   => $prefix . 'skillscount5',
                'std'  => '80',
                'type' => 'text',
            ),
            array(
                'name' => 'Skills Item #6 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'skillstit6',
                'std'  => 'Rest skills',
                'type' => 'text',
            ),
            array(
                'name' => 'Skills Item #6 Count',
                'desc' => 'Insert the count in %, ex: 90',
                'id'   => $prefix . 'skillscount6',
                'std'  => '98',
                'type' => 'text',
            ),

            array(
                'name' => 'Clients Section',
                'desc' => 'Insert the data for Clients Section on Home page',
                'id'   => $prefix . 'descrclients',
                'type' => 'title',
            ),
            array(
                'name' => 'Clients Box Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'clienttit',
                'std'  => 'Clients',
                'type' => 'text',
            ),
            array(
                'name' => 'Client #1 Photo',
                'desc' => 'Insert the Photo. Default size - 131px-52px',
                'id'   => $prefix . 'clientphoto1',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Client #1 Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'clientlink1',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Client #2 Photo',
                'desc' => 'Insert the Photo. Default size - 131px-52px',
                'id'   => $prefix . 'clientphoto2',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Client #2 Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'clientlink2',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Client #3 Photo',
                'desc' => 'Insert the Photo. Default size - 131px-52px',
                'id'   => $prefix . 'clientphoto3',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Client #3 Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'clientlink3',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Client #4 Photo',
                'desc' => 'Insert the Photo. Default size - 131px-52px',
                'id'   => $prefix . 'clientphoto4',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Client #4 Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'clientlink4',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Client #5 Photo',
                'desc' => 'Insert the Photo. Default size - 131px-52px',
                'id'   => $prefix . 'clientphoto5',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Client #5 Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'clientlink5',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Client #6 Photo',
                'desc' => 'Insert the Photo. Default size - 131px-52px',
                'id'   => $prefix . 'clientphoto6',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Client #6 Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'clientlink6',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Client #7 Photo',
                'desc' => 'Insert the Photo. Default size - 131px-52px',
                'id'   => $prefix . 'clientphoto7',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Client #7 Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'clientlink7',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Client #8 Photo',
                'desc' => 'Insert the Photo. Default size - 131px-52px',
                'id'   => $prefix . 'clientphoto8',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Client #8 Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'clientlink8',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Client #9 Photo',
                'desc' => 'Insert the Photo. Default size - 131px-52px',
                'id'   => $prefix . 'clientphoto9',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Client #9 Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'clientlink9',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Client #10 Photo',
                'desc' => 'Insert the Photo. Default size - 131px-52px',
                'id'   => $prefix . 'clientphoto10',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Client #10 Link',
                'desc' => 'Insert the link',
                'id'   => $prefix . 'clientlink10',
                'std'  => '',
                'type' => 'text',
            ),


            array(
                'name' => 'Contact Section',
                'desc' => 'Insert the data for Contact Section on Home page',
                'id'   => $prefix . 'descr6',
                'type' => 'title',
            ),
            array(
                'name' => 'Contact Background Image',
                'desc' => 'Insert the image. Recommended Size - 1920-740px',
                'id'   => $prefix . 'contactbg',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Contact Box Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'contacttit',
                'std'  => 'Contact form',
                'type' => 'text',
            ),
            array(
                'name' => 'Contact Box Address',
                'desc' => 'Insert the address',
                'id'   => $prefix . 'contactaddress',
                'std'  => 'Germany, Berlin, Main street 53',
                'type' => 'text',
            ),
            array(
                'name' => 'Contact Box Phone',
                'desc' => 'Insert the phone',
                'id'   => $prefix . 'contactphone',
                'std'  => '8 800 435-17-20',
                'type' => 'text',
            ),
            array(
                'name' => 'Contact Box Email',
                'desc' => 'Insert the email',
                'id'   => $prefix . 'contactemail',
                'std'  => 'contact@prestigio.com',
                'type' => 'text',
            ),
            array(
                'name' => 'Contact MAP Location',
                'desc' => 'Insert the Location, ex. New York City, str Main Street 22',
                'id'   => $prefix . 'contactmap',
                'std'  => '121 King Street, Melbourne Victoria 3000 Australia',
                'type' => 'text',
            ),
        )
    );

    $meta_boxes[] = array(
        'id'         => 'contact_page_metabox',
        'title'      => 'Contact Page Options',
        'pages'      => array( 'page', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'show_on'    => array( 'key' => 'page-template', 'value' => array('template-contact.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'Contact Section',
                'desc' => 'Insert the data for Contact Section on Home page',
                'id'   => $prefix . 'descr6',
                'type' => 'title',
            ),
            array(
                'name' => 'Contact Background Image',
                'desc' => 'Insert the image. Recommended Size - 1920-740px',
                'id'   => $prefix . 'contactbg',
                'std'  => '',
                'type' => 'file',
            ),
            array(
                'name' => 'Contact Box Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'contacttit',
                'std'  => 'Contact form',
                'type' => 'text',
            ),
            array(
                'name' => 'Contact Box Address',
                'desc' => 'Insert the address',
                'id'   => $prefix . 'contactaddress',
                'std'  => 'Germany, Berlin, Main street 53',
                'type' => 'text',
            ),
            array(
                'name' => 'Contact Box Phone',
                'desc' => 'Insert the phone',
                'id'   => $prefix . 'contactphone',
                'std'  => '8 800 435-17-20',
                'type' => 'text',
            ),
            array(
                'name' => 'Contact Box Email',
                'desc' => 'Insert the email',
                'id'   => $prefix . 'contactemail',
                'std'  => 'contact@prestigio.com',
                'type' => 'text',
            ),
            array(
                'name' => 'Contact MAP Location',
                'desc' => 'Insert the Location, ex. New York City, str Main Street 22',
                'id'   => $prefix . 'contactmap',
                'std'  => '121 King Street, Melbourne Victoria 3000 Australia',
                'type' => 'text',
            ),
        )
    );



	return $meta_boxes;
}

/**
 * Get image sizes for images
 * 
 * @return array
 */
function aletheme_get_images_sizes() {
	return array(

        'gallery' => array(
            array(
                'name'      => 'gallery-thumba',
                'width'     => 225,
                'height'    => 161,
                'crop'      => true,
            ),
            array(
                'name'      => 'gallery-slider',
                'width'     => 960,
                'height'    => 9999,
                'crop'      => false,
            ),
        ),
        'post' => array(
            array(
                'name'      => 'post-thumba',
                'width'     => 225,
                'height'    => 161,
                'crop'      => true,
            ),
            array(
                'name'      => 'post-slider',
                'width'     => 960,
                'height'    => 9999,
                'crop'      => false,
            ),
        ),

    );
}

/**
 * Add post types that are used in the theme 
 * 
 * @return array
 */
function aletheme_get_post_types() {
	return array(
        'gallery' => array(
            'config' => array(
                'public' => true,
                'menu_icon' => '',
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'comments',
                    'thumbnail',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Gallery',
            'multiple' => 'Galleries',
            'columns'    => array(
                'first_image',
            )
        ),

        'team' => array(
            'config' => array(
                'public' => true,
                'menu_icon' => '',
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Team',
            'multiple' => 'Team',
            'columns'    => array(
                'first_image',
            )
        ),

        'testimonials' => array(
            'config' => array(
                'public' => true,
                'menu_icon' => '',
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Testimonial',
            'multiple' => 'Testimonials',
            'columns'    => array(
                'first_image',
            )
        ),
    );
}

/**
 * Add taxonomies that are used in theme
 * 
 * @return array
 */
function aletheme_get_taxonomies() {
	return array(

        'gallery-category'    => array(
            'for'        => array('gallery'),
            'config'    => array(
                'sort'        => true,
                'args'        => array('orderby' => 'term_order'),
                'hierarchical' => true,
            ),
            'singular'    => 'Gallery Category',
            'multiple'    => 'Gallery Categories',
        ),


    );
}

/**
 * Add post formats that are used in theme
 * 
 * @return array
 */
function aletheme_get_post_formats() {
	return array('gallery');
}

/**
 * Get sidebars list
 * 
 * @return array
 */
function aletheme_get_sidebars() {
	$sidebars = array();
	return $sidebars;
}

/**
 * Predefine custom sliders
 * @return array
 */
function aletheme_get_sliders() {
	return array(
		'sneak-peek' => array(
			'title'		=> 'Sneak Peek',
		),
	);
}

/**
 * Post types where metaboxes should show
 * 
 * @return array
 */
function aletheme_get_post_types_with_gallery() {
	return array('gallery','menu','events','post');
}

/**
 * Add custom fields for media attachments
 * @return array
 */
function aletheme_media_custom_fields() {
	return array();
}