jQuery(function($) {
    "use strict";

    if($('#load').length){
        var loadcolor = $('#load').data('colorcode');

        // Loading All
        $("body").queryLoader2({
            percentage        : true,
            barHeight         : 10,
            minimumTime       : 300,
            barColor          : loadcolor,
            backgroundColor   : "#ffffff",
            completeAnimation : "fade"
        });

        jQuery(window).load(function(){
            $('#load').fadeOut().remove();
        });

        $(".page-container-box").css("opacity","1");
    }



    if($('.colorselector').length){
        $('.colorselector .openbut').live('click',function(){
            $('.colorselector').css('margin-right','0');
            $(this).addClass('openedbox');

            $('.openedbox').live('click',function(){
                $('.colorselector').css('margin-right','-202px');
                $(this).removeClass('openedbox');
            });

            $('.icbox').live('click',function(){
                var curcolor = $(this).data('col');
                var curlink = $(this).data('link');
                var curcolorcode = $(this).data('colorcode');
                $.cookie('prestigiocolor', curcolor, { path: '/' });
                $.cookie('prestigiocolorcode', curcolorcode, { path: '/' });

                $('#scheme0-css,#scheme1-css,#scheme2-css,#scheme3-css,#scheme4-css,#scheme5-css').remove();
                $('head').append('<link rel=\'stylesheet\' id=\''+curcolor+'-css\'  href=\''+curlink+'/css/colors/'+curcolor+'.css?ver=1.0\' type=\'text/css\' media=\'all\' />')
            });

            $('.widthtype .boxedtype').live('click',function(){
                $('.page-container-box').addClass('boxed-type');
                $.cookie('prestigiowidth', 'boxed', { path: '/' });
            });
            $('.widthtype .widetype').live('click',function(){
                $('.page-container-box').removeClass('boxed-type');
                $.cookie('prestigiowidth', 'wide', { path: '/' });
                $.cookie('prestigiobg', 'nobg', { path: '/' });
                $('body').removeClass('bg1 bg2 bg3 bg4 bg5 bg6');
            });

            $('.bgbox').live('click',function(){
                $('body').removeClass('bg1 bg2 bg3 bg4 bg5 bg6');

                if($('.boxed-type').length){
                    var curbg = $(this).data('bg');
                    $.cookie('prestigiobg', curbg, { path: '/' });
                    $('body').addClass(curbg);
                }else {
                    alert("Select Boxed first.");
                }
            });
        });
    }

    // Menu When Scroll
    $(window).scroll(function(){
        if($("section").length){
            $("section").each(function (){
                var window_top = $(window).scrollTop();
                var div_top    = $(this).offset().top;
                var div_obj    = $(this).attr('class');

                if (window_top > div_top - 120) {
                    $('nav').find('a').removeClass('active');
                    $('nav').find('a[href="#' + div_obj + '"]').addClass('active');
                }
                else if ((window_top > div_top - 300) && (div_obj == 'contacts')) {
                    $('nav').find('a').removeClass('active');
                    $('nav').find('a[href="#' + div_obj + '"]').addClass('active');
                }
                else {
                    $('nav').find('a[href="#' + div_obj + '"]').removeClass('active');
                }

                if ((div_obj == 'top-background')) {
                    $('nav').find('a').removeClass('active');
                    $('nav').find('a[href="#home"]').addClass('active');
                }


            });
        }
    });

    // Menu When Click
    $('nav.top-navigation .center a,nav.top-navigation-two .center a').click(function(e) {
        var id = $(this).attr('href');
        if(id.match(/#/g)){
            var id = id.replace(/#/g, "");
            var section = 'section.' + id;
            $("html, body").animate({ scrollTop: ( $(section).offset().top - 80 ) }, "slow");
            e.preventDefault();
        }
    });

    // Drop Menu
    $('.drop-menu > a').click(function(){
        $(this).parents('div').children('.ul-drop').toggle({display: "toggle"});
    });

    // Menu When Click
    $('nav .drop-menu ul a').click(function(e) {
        var id = $(this).attr('href');
        if(id.match(/#/g)){
            var id = id.replace(/#/g, "");
            var section = 'section.' + id;
            $("html, body").animate({ scrollTop: ( $(section).offset().top - 80 ) }, "slow");
            e.preventDefault();
        }
    });

    // Background Parallax
    var $window = $(window);
    if($('section[data-type="background"]').length){
        $('section[data-type="background"]').each(function(){

            var $obj = $(this);
            var offset = $obj.offset().top;

            $(window).scroll(function()
            {
                offset = $obj.offset().top;

                if ($window.scrollTop() > (offset - window.innerHeight))
                {
                    var yPos = -(($window.scrollTop() - offset) / 5 );
                    var coords = '50% ' + ( yPos ) + 'px';
                    $obj.css({ backgroundPosition:  coords });
                }
            });
            $(window).resize(function()
            {
                offset = $obj.offset().top;
            });
        });
    }

    // Background Parallax Visual Composer
    var $window = $(window);
    if($('.parallax').length){
        $('.parallax').each(function(){

            var $obj = $(this);
            var offset = $obj.offset().top;

            $(window).scroll(function()
            {
                offset = $obj.offset().top;

                if ($window.scrollTop() > (offset - window.innerHeight))
                {
                    var yPos = -(($window.scrollTop() - offset) / 5 );
                    var coords = '50% ' + ( yPos ) + 'px';
                    $obj.css({ backgroundPosition:  coords });
                }
            });
            $(window).resize(function()
            {
                offset = $obj.offset().top;
            });
        });
    }

    // Top Slider
    $('.top-slider').flexslider({
        animation: "slide",
        prevText: "",
        nextText: "",
        directionNav: false,
        useCSS: false,
        start: function() {
            $('.top-slider li').css('opacity','1');
            $('.top-slider ul.slides li h3,.top-slider ul.slides li p,.top-slider ul.slides li .read').removeClass('slideRight');
            $('.top-slider ul.slides li.flex-active-slide h3,.top-slider ul.slides li.flex-active-slide p,.top-slider ul.slides li.flex-active-slide .read').addClass('slideRight');
        },
        after: function(){
            $('.top-slider ul.slides li h3,.top-slider ul.slides li p,.top-slider ul.slides li .read').removeClass('slideRight');
            $('.top-slider ul.slides li.flex-active-slide h3,.top-slider ul.slides li.flex-active-slide p,.top-slider ul.slides li.flex-active-slide .read').addClass('slideRight');
        }
    });

    // Blog Slider
    $('.blog-slider').flexslider({
        animation: "slide",
        prevText: "",
        nextText: "",
        useCSS: false,
        directionNav: false,
        slideshow: false,
        start: function() {
            $('.blog-slider li').css('opacity','1');
        }
    });

    // Blog Slider Directions
    $('section.blog h2 .prev').click(function() {
        var slider = $('.blog-slider').data('flexslider');
        slider.flexslider("prev");
    });
    $('section.blog h2 .next').click(function() {
        var slider = $('.blog-slider').data('flexslider');
        slider.flexslider("next");
    });


    //Post Slider
    $('.story-slider').flexslider({
        animation: "slide",
        prevText: "",
        nextText: "",
        controlNav: false,
        smoothHeight: true,
        directionNav: false
    });

    // Post Slider Directions
    $('.postsliderarrows .prev').click(function() {
        var slider = $('.story-slider').data('flexslider');
        slider.flexslider("prev");
    });
    $('.postsliderarrows .next').click(function() {
        var slider = $('.story-slider').data('flexslider');
        slider.flexslider("next");
    });

    // Our Team
    $('.team-slider').flexslider({
        animation: "slide",
        prevText: "",
        nextText: "",
        controlNav: false,
        directionNav: false,
        slideshow: false,
        useCSS: false,
        start: function() {
            $('.team-slider li').css('opacity','1');
        }
    });

    // Team Slider Directions
    $('section.team .prev').click(function() {
        var slider = $('.team-slider').data('flexslider');
        slider.flexslider("prev");
    });
    $('section.team .next').click(function() {
        var slider = $('.team-slider').data('flexslider');
        slider.flexslider("next");
    });

    // Testimonials
    $('.testimonials-slider').flexslider({
        animation: "slide",
        prevText: "",
        nextText: "",
        directionNav: false,
        useCSS: false,
        slideshow: false,
        start: function() {
            $('.testimonials-slider li').css('opacity','1');
        }
    });

    // Team Slider Directions
    $('section.testimonials .prev').click(function() {
        var slider = $('.testimonials-slider').data('flexslider');
        slider.flexslider("prev");
    });
    $('section.testimonials .next').click(function() {
        var slider = $('.testimonials-slider').data('flexslider');
        slider.flexslider("next");
    });

    // Gallery Slider
    $('.gallery-slider').flexslider({
        animation: "slide",
        prevText: "",
        nextText: "",
        directionNav: false,
        useCSS: false,
        slideshow: false,
        start: function() {
            $('.gallery-slider li').css('opacity','1');
        }
    });

    // Gallery Slider Directions
    $('section.gallery h2 .prev').click(function() {
        var slider = $('.gallery-slider').data('flexslider');
        slider.flexslider("prev");
    });
    $('section.gallery h2 .next').click(function() {
        var slider = $('.gallery-slider').data('flexslider');
        slider.flexslider("next");
    });

    // Clients Slider
    $('.clients-slider').flexslider({
        animation: "slide",
        prevText: "",
        nextText: "",
        directionNav: false,
        useCSS: false,
        start: function() {
            $('.clients-slider li').css('opacity','1');
        }
    });

    // Clients Slider Directions
    $('section.clients h2 .prev').click(function() {
        var slider = $('.clients-slider').data('flexslider');
        slider.flexslider("prev");
    });
    $('section.clients h2 .next').click(function() {
        var slider = $('.clients-slider').data('flexslider');
        slider.flexslider("next");
    });

    // Skills
    $(window).scroll(function() {
        if($('.progress').length){
            var progress = $('.progress');
            var position = progress.offset().top;
            var topOfWindow = $(window).scrollTop();

            if (position < topOfWindow + 400)
            {
                progress.css({visibility: "visible"});
                progress.addClass("stretchRight");
            }
        }
    });

    // Map
    $('#map .open').click(function() {
        $('#map #iframe').css('height','320px');
        $(this).parent('section').stop().animate({height: "320px"}, 500, function() {
            $(this).children('#iframe').removeClass('grayscale');
            // Scroll Bottom
            $("html, body").animate({ scrollTop: $(document).height()-$(window).height() });
        });
        $('#map .open').css('display','none');
        $('#map .close').css('display','block');
    });

    $('#map .close').click(function() {
        //$('#map #iframe').css('height','160px');
        //$(this).parent('section')
            $('#map,#map #iframe').stop().animate({height: "160px"}, 500, function() {
            $(this).children('#iframe').addClass('grayscale');
        });
        $('#map .close').css('display','none');
        $('#map .open').css('display','block');
    });

    $(window).load(function(){
        //Filtering on Gallery pages
        if (jQuery.isFunction(jQuery.fn.isotope)) {
            // cache container
            var $container = $('#galcontainer');
            // initialize isotope
            $container.isotope({});

            // filter items when filter link is clicked
            $('.filters a').click(function(){
                var selector = $(this).attr('data-filter');
                $container.isotope({ filter: selector });
                $('.filters a').removeClass('active');
                $(this).addClass('active');
                return false;
            });
            $(window).on("debouncedresize", function() {
                $container.isotope({});
            });
        }

        if($('#loader-custom').length){
            $('#loader-custom').fadeOut(2000);
            window.setTimeout(function(){$(".page-container-box").css("opacity","1");}, 1000);
        }
    });
});

Modernizr.addTest('ipad', function () {
    return !!navigator.userAgent.match(/iPad/i);
});

Modernizr.addTest('iphone', function () {
    return !!navigator.userAgent.match(/iPhone/i);
});

Modernizr.addTest('ipod', function () {
    return !!navigator.userAgent.match(/iPod/i);
});

Modernizr.addTest('appleios', function () {
    return (Modernizr.ipad || Modernizr.ipod || Modernizr.iphone);
});

Modernizr.addTest('positionfixed', function () {
    var test    = document.createElement('div'),
        control = test.cloneNode(false),
        fake = false,
        root = document.body || (function () {
            fake = true;
            return document.documentElement.appendChild(document.createElement('body'));
        }());

    var oldCssText = root.style.cssText;
    root.style.cssText = 'padding:0;margin:0';
    test.style.cssText = 'position:fixed;top:42px';
    root.appendChild(test);
    root.appendChild(control);

    var ret = test.offsetTop !== control.offsetTop;

    root.removeChild(test);
    root.removeChild(control);
    root.style.cssText = oldCssText;

    if (fake) {
        document.documentElement.removeChild(root);
    }

    /* Uh-oh. iOS would return a false positive here.
     * If it's about to return true, we'll explicitly test for known iOS User Agent strings.
     * "UA Sniffing is bad practice" you say. Agreeable, but sadly this feature has made it to
     * Modernizr's list of undectables, so we're reduced to having to use this. */
    return ret && !Modernizr.appleios;
});


// Modernizr.load loading the right scripts only if you need them
Modernizr.load([
    {
        // Let's see if we need to load selectivizr
        test : Modernizr.borderradius,
        // Modernizr.load loads selectivizr and Respond.js for IE6-8
        nope : [ale.template_dir + '/js/libs/selectivizr.min.js', ale.template_dir + '/js/libs/respond.min.js']
    },{
        test: Modernizr.touch,
        yep:ale.template_dir + '/css/touch.css'
    }
]);



jQuery(function($) {
    var is_single = $('#post').length;
    var posts = $('article.post');
    var is_mobile = parseInt(ale.is_mobile);

    var slider_settings = {
        animation: "slide",
        slideshow: false,
        controlNav: false
    }

    $(document).ajaxComplete(function(){
        try{
            if (!posts.length) {
                return;
            }
            FB.XFBML.parse();
            gapi.plusone.go();
            twttr.widgets.load();
            pin_load();
        }catch(ex){}
    });

    // open external links in new window
    $("a[rel$=external]").each(function(){
        $(this).attr('target', '_blank');
    });

    $.fn.init_posts = function() {
        var init_post = function(data) {
            // close other posts
            data.post.siblings('.open-post').find('a.toggle').trigger('click', {
                hide:true
            });

            var loading = data.post.find('span.loading');

            if (data.more.is(':empty')) {
                data.post.addClass('post-loading');
                loading.css('visibility', 'visible');
                data.more.load(ale.ajax_load_url, {
                    'action':'aletheme_load_post',
                    'id':data.post.data('post-id')
                }, function(){
                    loading.remove();
                    data.more.slideDown(400, function(){
                        data.post.addClass('open-post');
                        data.toggler.text('Close Post');
                        $('.video', data.more).fitVids();
                        if (data.scroll) {
                            data.scroll.scrollTo('fast');
                        }
                    });
                    init_comments(data.post);
                });
            } else {
                data.more.slideDown(400, function(){
                    data.post.addClass('open-post');
                    data.toggler.text('Close Post');
                    if (data.scroll) {
                        data.scroll.scrollTo('fast');
                    }
                });
            }
        }

        var load_post = function(e, _opts) {
            e.preventDefault();
            var data  = {
                toggler:$(this),
                scroll:false
            };
            var opts = $.extend({
                comments:false,
                hide:false,
                add_comment:false
            }, _opts);
            data.post = data.toggler.parents('article.post');
            data.more = data.post.find('.full');

            if (data.more.is(':visible')) {
                if (opts.hide == true) {
                    // quick hide for multiple posts
                    data.more.hide();
                } else {
                    data.more.slideUp(400);
                }
                data.toggler.text('Open Post');
                data.post.removeClass('open-post');
            } else {
                if (typeof(e.originalEvent) != 'undefined' ) {
                    data.scroll = data.post;
                }
                init_post(data);
            }
        }

        var init_comments = function(post) {
            var respond = $('section.respond', post);
            var respond_form = $('form', respond);
            var respond_form_error = $('p.error', respond_form);
            //var respond_cancel = $('.cancel-comment-reply a', respond);
            var comments = $('section.comments', post);

            /*$('a.comment-reply-link', post).on('click', function(e){
             e.preventDefault();
             var comment = $(this).parents('li.comment');
             comment.find('>div').append(respond);
             respond_cancel.show();
             respond.find('input[name=comment_post_ID]').val(post.data('post-id'));
             respond.find('input[name=comment_parent]').val(comment.data('comment-id'));
             respond.find('input:first').focus();
             }).attr('onclick', '');

             respond_cancel.on('click', function(e){
             e.preventDefault();
             comments.after(respond);
             respond.find('input[name=comment_post_ID]').val(post.data('post-id'));
             respond.find('input[name=comment_parent]').val(0);
             $(this).hide();
             });
             */
            respond_form.ajaxForm({
                'beforeSubmit':function(){
                    respond_form_error.text('').hide();
                },
                'success':function(_data){
                    var data = $.parseJSON(_data);
                    if (data.error) {
                        respond_form_error.html(data.msg).slideDown('fast');
                        return;
                    }
                    var comment_parent_id = respond.find('input[name=comment_parent]').val();
                    var _comment = $(data.html);
                    var list;
                    _comment.hide();

                    if (comment_parent_id == 0) {
                        list = comments.find('ol');
                        if (!list.length) {
                            list = $('<ol class="commentlist "></ol>');
                            comments.find('.scrollbox .jspContainer .jspPane').append(list);
                        }
                    } else {
                        list = $('#comment-' + comment_parent_id).parent().find('ul');
                        if (!list.length) {
                            list = $('<ul class="children"></ul>');
                            $('#comment-' + comment_parent_id).parent().append(list);
                        }
                        respond_cancel.trigger('click');
                    }
                    list.append(_comment);
                    _comment.fadeIn('fast');
                    //.scrollTo();

                    respond.find('textarea').clearFields();
                },
                'error':function(response){
                    var error = response.responseText.match(/\<p\>(.*)<\/p\>/)[1];
                    if (typeof(error) == 'undefined') {
                        error = 'Something went wrong. Please reload the page and try again.';
                    }
                    respond_form_error.html(error).slideDown('fast');
                }
            });
        }
        $(this).each(function(){
            var post = $(this);
            // init post galleries
            $(window).load(function(){
                $('.preview .flexslider', post).flexslider(slider_settings);
            });
            // do not init ajax posts & comments for mobile
            if (!is_mobile) {
                // ajax posts enabled
                if (ale.ajax_posts) {
                    $('a.toggle', post).click(load_post);
                    $('.video', post).fitVids();
                    $('.preview figure a', post).click(function(e){
                        e.preventDefault();
                        $(this).parents('article.post').find('a.toggle').trigger('click');
                    });
                }
            }
        });
        // init ajax comments on a single post if ajax comments are enabled
        if (is_single && parseInt(ale.ajax_comments)) {
            init_comments(posts);
        }
        // open single post on page
        if (parseInt(ale.ajax_open_single) && !is_single && posts.length == 1) {
            posts.find('a.toggle').trigger('click');
        }
    }
    posts.init_posts();

    $.fn.init_gallery = function() {
        $(this).each(function(){
            var gallery = $(this);
            $(window).load(function(){
                $('.flexslider', gallery).flexslider(slider_settings);
            });

        })
    }
    $('#gallery').init_gallery();

    $.fn.init_archives = function()
    {
        $(this).each(function(){
            var archives = $(this);
            var year = $('#archives-active-year');
            var months = $('div.months div.year-months', archives);
            var arrows = $('a.up, a.down', archives);
            var activeMonth;
            var current, active;
            var animated = false;
            if (months.length == 1) {
                arrows.remove();
                activeMonth = months.filter(':first').addClass('year-active').show();
                year.text(activeMonth.attr('id').replace(/[^0-9]*/, ''));
                return;
            }
            arrows.click(function(e){
                e.preventDefault();
                if (animated) {
                    return;
                }
                var fn = $(this);
                animated = true;
                arrows.css('visibility', 'visible');
                var current = months.filter('.year-active');
                if (fn.hasClass('up')) {
                    active = current.prev();
                    if (!active.length) {
                        active = months.filter(':last');
                    }
                } else {
                    active = current.next();
                    if (!active.length) {
                        active = months.filter(':first');
                    }
                }
                current.removeClass('year-active').fadeOut(150, function(){
                    active.addClass('year-active').fadeIn(150, function(){
                        animated = false;
                    });
                    year.text(active.attr('id').replace(/[^0-9]*/, ''));

                    if (fn.hasClass('up')) {
                        if (!active.prev().length) {
                            arrows.filter('.up').css('visibility', 'hidden');
                        }
                    } else {
                        if (!active.next().length) {
                            arrows.filter('.down').css('visibility', 'hidden');
                        }
                    }
                });
            });
            activeMonth = months.filter(':first').addClass('year-active').show();
            year.text(activeMonth.attr('id').replace(/[^0-9]*/, ''));
            arrows.filter('.up').css('visibility', 'hidden');
        });
    }
    $('#archives .ale-archives').init_archives();






});

// HTML5 Fallbacks for older browsers
jQuery(function($) {
    // check placeholder browser support
    if (!Modernizr.input.placeholder) {
        // set placeholder values
        $(this).find('[placeholder]').each(function() {
            $(this).val( $(this).attr('placeholder') );
        });

        // focus and blur of placeholders
        $('[placeholder]').focus(function() {
            if ($(this).val() == $(this).attr('placeholder')) {
                $(this).val('');
                $(this).removeClass('placeholder');
            }
        }).blur(function() {
                if ($(this).val() == '' || $(this).val() == $(this).attr('placeholder')) {
                    $(this).val($(this).attr('placeholder'));
                    $(this).addClass('placeholder');
                }
            });

        // remove placeholders on submit
        $('[placeholder]').closest('form').submit(function() {
            $(this).find('[placeholder]').each(function() {
                if ($(this).val() == $(this).attr('placeholder')) {
                    $(this).val('');
                }
            });
        });
    }
});

