<?php
/*
* Template name: Contact page
* */

if (isset($_POST['contact'])) {
    $error = ale_send_contact($_POST['contact']);
}

get_header(); ?>
    <section class="blog">
        <div class="center">
            <h2 class="boxtitle margbott"><?php the_title(); ?></h2>

            <div class="templatepage text story">
                <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                    <?php the_content(); ?>
                <?php endwhile; else: ?>
                    <?php ale_part('notfound')?>
                <?php endif; ?>
            </div>
        </div>
    </section>
    <a name="success" href="#success"></a>
    <section class="contacts" data-type="background" <?php if(ale_get_meta('contactbg')){ echo 'style="background-image: url('.ale_get_meta('contactbg').');"'; } ?>>
        <div class="center cf">
            <div class="dots"></div>
            <h3><?php echo ale_get_meta('contacttit'); ?></h3>

            <form method="post" id="contact-form" action="<?php the_permalink();?>" class="cf">
                <?php if (isset($_GET['success'])) : ?>
                    <p class="success"><?php _e('Thank you for your message!', 'aletheme')?></p>
                <?php endif; ?>
                <?php if (isset($error) && isset($error['msg'])) : ?>
                    <p class="error"><?php echo $error['msg']?></p>
                <?php endif; ?>
                <input class="name" name="contact[name]" type="text" placeholder="<?php _e('Name','aletheme'); ?>*" value="<?php echo isset($_POST['contact']['name']) ? $_POST['contact']['name'] : ''?>" required="required" />
                <input class="email" name="contact[email]" type="email" placeholder="<?php _e('E-mail','aletheme'); ?>*" value="<?php echo isset($_POST['contact']['email']) ? $_POST['contact']['email'] : ''?>" required="required" />
                <textarea class="message" name="contact[message]"  placeholder="<?php _e('Message','aletheme'); ?>*" required="required" ></textarea>
                <input class="submit" type="submit" value="<?php _e('Send Message','aletheme');?>"/>
                <?php wp_nonce_field() ?>
            </form>

            <div class="cont cf">
                <div class="col-4">
                    <p class="phone"><?php _e('Phone','aletheme'); ?>:</p>
                    <h4 class="phone"><?php echo ale_get_meta('contactphone'); ?></h4>
                </div>
                <div class="col-4">
                    <p class="adress"><?php _e('Adress','aletheme'); ?>:</p>
                    <h4><?php echo ale_get_meta('contactaddress'); ?></h4>
                </div>
                <div class="col-4">
                    <p class="email"><?php _e('E-mail','aletheme'); ?>:</p>
                    <h4><?php echo ale_get_meta('contactemail'); ?></h4>
                </div>
            </div>

        </div>
    </section>

<?php if(ale_get_meta('contactmap')){ ?>
    <section id="map">
        <div class="close"></div>
        <div id="iframe" class="grayscale"><?php echo do_shortcode('[ale_map address="'.ale_get_meta('contactmap').'" width="100%" height="320px"]'); ?></div>
        <div class="open"></div>
    </section>
<?php } ?>

<?php get_footer(); ?>